"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateCodeAgentDeprecation = void 0;
const validateCodeAgentDeprecation = (checkOptions, config) => {
    if (config.GIT_CLIENT_URL && !config.DISABLE_CODE_AGENT_PREFLIGHT_CHECK) {
        return {
            id: checkOptions.id,
            name: checkOptions.name,
            status: 'warning',
            output: `Code Agent is deprecated. Please move to broker only Snyk Code support.`,
        };
    }
    return {
        id: checkOptions.id,
        name: checkOptions.name,
        status: 'passing',
        output: config.DISABLE_CODE_AGENT_PREFLIGHT_CHECK
            ? 'Code Agent Preflight Check disabled.'
            : 'Code Agent not in use.',
    };
};
exports.validateCodeAgentDeprecation = validateCodeAgentDeprecation;
//# sourceMappingURL=codeAgentDeprecation.js.map