"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateAcceptFlagsConfig = void 0;
const validateAcceptFlagsConfig = (checkOptions, config) => {
    const acceptFlagKeys = Object.keys(config).filter((x) => x.startsWith('ACCEPT_'));
    if (config.ACCEPT &&
        config.ACCEPT != 'accept.json' &&
        acceptFlagKeys.length > 0) {
        return {
            id: checkOptions.id,
            name: checkOptions.name,
            status: 'error',
            output: `ACCEPT_ flags are not compatible with custom accept.json files. Please refrain from using custom accept json (Code Agent is deprecated, see documentation).`,
        };
    }
    return {
        id: checkOptions.id,
        name: checkOptions.name,
        status: 'passing',
        output: 'ACCEPT flags configuration OK.',
    };
};
exports.validateAcceptFlagsConfig = validateAcceptFlagsConfig;
//# sourceMappingURL=customAcceptFile.js.map